import 'package:ampos_ui_library/ampos_widgets.dart';
import 'package:flutter/widgets.dart';
import 'package:ampos_ui_library/style/ampos_colors.dart';

class TextWidget extends Container {
  TextWidget(
    String data, {
    Color color = AmposColors.outerSpace,
    double size = FontSize.normal,
    FontWeight weight = FontWeight.w300,
    EdgeInsets margin = const EdgeInsets.all(0),
    EdgeInsets padding = const EdgeInsets.all(0),
  }) : super(
            margin: margin,
            padding: padding,
            child: Text(
              data,
              style: TextStyle(
                fontSize: size,
                color: color,
                fontWeight: weight,
              ),
            ));
}
